summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authorFlorent Le Coz <louiz@louiz.org>2011-04-16 01:28:37 +0200
committerFlorent Le Coz <louiz@louiz.org>2011-04-16 01:28:37 +0200
commit4c01b70a22aa175689adbdf87f0c866b2bf0662c (patch)
tree72da59e675a061cc9f6c57893b67aa98fd62cd61 /update.sh
parent8167f9d3a43369c1a7367741bff32f69b96aa912 (diff)
downloadpoezio-4c01b70a22aa175689adbdf87f0c866b2bf0662c.tar.gz
poezio-4c01b70a22aa175689adbdf87f0c866b2bf0662c.tar.bz2
poezio-4c01b70a22aa175689adbdf87f0c866b2bf0662c.tar.xz
poezio-4c01b70a22aa175689adbdf87f0c866b2bf0662c.zip
Add the udate of poezio’s sources in update.sh + comment + check of the directory
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/update.sh b/update.sh
index e353194e..09b84877 100755
--- a/update.sh
+++ b/update.sh
@@ -1,4 +1,13 @@
#!/bin/bash
+# Use this script to Download or Update all dependances to their last
+# developpement version.
+# The dependances will be placed in the sources directory, so you do not
+# need to install them on your system at all.
+
+# Use launch.sh to start poezio directly from here
+
+echo 'Updating poezio'
+hg pull -u || echo 'You do not seem to be in poezio’s directory. Exiting.' && exit 1
if [ -e "SleekXMPP" ]
then